package xmljson;

import java.io.*;

import xmljson.json.creating.*;
import xmljson.json.parsing.*;

public class Main {
	
	public static void main(String[] args) {
		
		try {
			System.out.println("\n*** JSON Stream Input Example ***");
			JsonStreamInputExample.run(new File("cd_catalog.json"));
			
			System.out.println("\n*** JSON Stream Output Example ***");
			JsonStreamOutputExample.run();

			System.out.println("\n*** JSON Tree Input Example ***");
			JsonTreeInputExample.run(new File("cd_catalog.json"));
			
			System.out.println("\n*** JSON Tree Output Example ***");
			JsonTreeOutputExample.run();

			System.out.println("\n*** JSON Serialization Input Example ***");
			JsonObjectSerializationInputExample.run(new File("serialized_cd_catalog.json"));
			
			System.out.println("\n*** JSON Serialization Output Example ***");
			JsonObjectSerializationOutputExample.run();
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}